curl --request POST \
--url https://app.dynamicauth.com/api/v0/organizations/{organizationId}/invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "owner",
"walletPublicKey": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"alias": "An example name",
"email": "hello-world@foobar.com",
"phoneNumber": "+1234567890"
}
'{
"error": "<string>"
}curl --request POST \
--url https://app.dynamicauth.com/api/v0/organizations/{organizationId}/invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "owner",
"walletPublicKey": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"alias": "An example name",
"email": "hello-world@foobar.com",
"phoneNumber": "+1234567890"
}
'{
"error": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of organization
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
owner, admin, developer, viewer Valid blockchain wallet address, must be an alphanumeric string without any special characters
255^[A-Za-z0-9]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
255^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
255^$|(^([!#-'*+\/-9=?A-Z^-~-]+(\.[!#-'*+\/-9=?A-Z^-~-]+)*|"([]!#-[^-~ \t]|([\t -~]))+")@([!#-'*+\/-9=?A-Z^-~-]+(\.[!#-'*+\/-9=?A-Z^-~-]+)*|[\t -Z^-~]*)$)"hello-world@foobar.com"
255^(\+[1-9]\d{1,14})?$"+1234567890"
Invite created
Was this page helpful?